Bug 147469 - ifdown does not send release to dhcp server (just kills the dhclient PID)
ifdown does not send release to dhcp server (just kills the dhclient PID)
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2005-02-08 06:50 EST by Eivind Arnesen
Modified: 2014-03-16 22:52 EDT (History)
1 user (show)

See Also:
Fixed In Version: FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-03 16:51:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Eivind Arnesen 2005-02-08 06:50:25 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
Can't understand the principle behind killing of the dhclient without
informing the dhcp server that the lease is being released. We're
using ddns, and right now expired leases does not seem to update our DNS.
If the clients send release (dhclient -r) to the DHCP server,
the DNS records are being updates. If this is not a bug, it would be
nice if someone could explain the rationale behind this. 

Version-Release number of selected component (if applicable):
dhclient-3.0.1-30_FC3 initscripts-7.93.5-1

How reproducible:

Steps to Reproduce:
When starting/stopping network services


Additional info:

can easily be solved by fixing ifdown script to do;
dhclient -r ${DEVICE}
Comment 1 Jason Vas Dias 2005-02-08 10:18:48 EST
The DHCPRELEASE option was added to ifdown in initscripts-7.93.5-1 .
For the interface $IF on which you want releases to be sent, add
the line:
to /etc/sysconfig/network-scripts/ifcfg-$IF .
Sending a dhcp release is an optional part of the DHCP protocol, and
it is up to administrators to choose which policy to implement .
Comment 2 Jason Vas Dias 2005-02-10 19:38:43 EST
Whoops ! I'm very sorry - it seems the feature did not get into 
initscripts-7.93.5-1 .  Support for it is in dhcp-3.0.1-30_FC3, 
though. I'll do what I can to get initscripts upgraded in FC3 
Comment 4 Bill Nottingham 2005-10-03 16:51:34 EDT
Closing this; this is fixed in current releases.

Note You need to log in before you can comment on or make changes to this bug.